@import url('https://fonts.googleapis.com/css2?family=Mochiy+Pop+P+One&family=Monomaniac+One&family=Tangerine:wght@400;700');

:root {
  color-scheme: light dark;
}

:root[data-theme="dark"] {
  --color: #cef;
}
:root[data-theme="light"] {
  --color: #123;
}

button, a, icon {
  > svg {
    width: 1.4em;
    height: auto;
    color: var(--color);
  }
  &.btn-remove svg {
    color: #a33;
  }
}

/********************************
Main Project
********************************/

.nav-main {
  position: relative;
  z-index: 1;
  min-height: 100vh;
  /*Change to Auto if there is more content*/
  box-shadow: 0 0 50px #000;
  transition: transform .5s;
}

.nav-open .nav-main {
  transform: scale(.8);
}


/********************************
Hamburger menu
********************************/

.nav-trigger {
  position: fixed;
  z-index: 4;
  top: 3.5%;
  right: 3.5%;
  width: 44px;
  height: 44px;
  overflow: hidden;
  color: transparent;
  white-space: nowrap;
  text-indent: 100%;
  cursor: pointer;
}

.nav-trigger span,
.nav-trigger span::before,
.nav-trigger span::after {
  position: absolute;
  width: 36px;
  height: 4px;
  background: #666;
}

.nav-trigger span {
  top: calc(50% - 2px);
  left: calc(50% - 18px);
  transition: background .3s;
}

.nav-trigger span::before,
.nav-trigger span::after {
  content: '';
  top: 0;
  left: 0;
  transition: background .3s, transform .3s;
}

.nav-trigger span::before {
  transform: translateY(-12px);
}

.nav-trigger span::after {
  transform: translateY(12px);
}

.nav-trigger:hover span,
.nav-trigger:hover span::before,
.nav-trigger:hover span::after {
  background: #552;
}

.nav-open .nav-trigger span::before,
.nav-open .nav-trigger span::after {
  background-color: #333
}

.nav-open .nav-trigger span {
  background: transparent;
}

.nav-open .nav-trigger span::before {
  transform: rotate(-45deg);
}

.nav-open .nav-trigger span::after {
  transform: rotate(45deg);
}


/********************************
Overlay
********************************/

.nav-overlay {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #748479;
  opacity: 0;
  visibility: hidden;
  transition: opacity .5s, visibility .5s;
}

.nav-open .nav-overlay {
  opacity: .6;
  visibility: visible;
}


/********************************
Navigation
********************************/
.nav-container h2 {
  text-align: center;
  padding: 0;
}

.nav-container {
  position: fixed;
  z-index: 3;
  width: 50vw;
  max-width: 50vw;
  height: 100vh;
  top: 0;
  right: 0;
  padding: 2vw 5vw;
  background-color: hsla(60, 6%, 35%, .88);
  overflow: auto;
  transform: translateZ(0);
  transform: translateX(100%);
  transition: transform .5s cubic-bezier(.83, .14, .33, 1.05);
}

.nav-container * {
  font-size: 2vmin;
  line-height: 1;
}

.nav-open .nav-container {
  transform: translateX(0);
}

.nav-container h2 {
  margin: 2vw 0;
  font-weight: bold;
  text-transform: uppercase;
  color: #333;
}

.nav {
  list-style-type: none;
  padding: 0;
  color: #fff;
}

.nav a {
  display: block;
  padding: .4em 0;
  font-weight: bold;
  font-family: serif;
  text-decoration: none;
  color: #f6f8f8;
  transform: translateZ(0);
  cursor: pointer;
}

.nav-open .nav a {
  animation: slide-links .4s .2s backwards;
}
.nav-open .nav li:nth-of-type(2) a {
  animation-delay: .3s;
}
.nav-open .nav li:nth-of-type(3) a {
  animation-delay: .4s;
}
.nav-open .nav li:nth-of-type(4) a {
  animation-delay: .5s;
}
.nav-open .nav li:nth-of-type(5) a {
  animation-delay: .6s;
}
.nav-open .nav li:nth-of-type(6) a {
  animation-delay: .7s;
}
.nav-open .nav li:nth-of-type(7) a {
  animation-delay: .8s;
}
.nav-open .nav li:nth-of-type(8) a {
  animation-delay: .9s;
}
.nav-open .nav li:nth-of-type(9) a {
  animation-delay: 1.0s;
}
.nav-open .nav li:nth-of-type(10) a {
  animation-delay: 1.1s;
}
.nav-open .nav li:nth-of-type(11) a {
  animation-delay: 1.2s;
}
.nav-open .nav li:nth-of-type(12) a {
  animation-delay: 1.3s;
}

@keyframes slide-links {
  0% {
    opacity: 0;
    transform: translateX(80px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

.nav a.nav-footer.powered {
  margin: 1em 0 0;
  font-family: 'Tangerine';
  font-size: 2.5em;
  text-align: center;
  font-weight: 400;
}

.loading {
  position: fixed;
  z-index: 3;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
  background-image: url("/v1/img/loading.svg");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: 30% auto;
  display: grid;
  justify-content: center;
  align-content: center;
}

.powered-footer {
  position: fixed;
  bottom: 0.5em;
  right: 0.5em;
}
